
set( ifdh_art_VERSION 2.08.09 )
set( ifdh_art_UPS_VERSION v2_08_09 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################



## find_library directives
find_ups_product( art  )
find_ups_product( canvas v1_06_00 )
find_ups_product( cppunit  )
find_ups_product( clhep  )
find_ups_product( cetlib_except  )
find_ups_product( cetlib v2_01_00 )
find_ups_boost( v1_50_0 )
find_ups_product( sqlite  )
find_ups_product( hep_concurrency  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( fhiclcpp  )
find_ups_product( python  )
find_ups_product( messagefacility  )
find_ups_product( range  )
  cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
find_ups_product( ifdhc  )
find_ups_product( ifbeam  )
find_ups_product( nucondb  )
find_ups_product( libwda  )
  cet_find_library( IFDH NAMES ifdh PATHS ENV IFDHC_LIB NO_DEFAULT_PATH )
  cet_find_library( IFBEAM NAMES ifbeam PATHS ENV IFBEAM_LIB NO_DEFAULT_PATH )
  cet_find_library( NUCONDB NAMES nucondb PATHS ENV NUCONDB_LIB NO_DEFAULT_PATH )
  cet_find_library( WDA NAMES wda PATHS ENV LIBWDA_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3 PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
set(IFDH_SERVICE "$ENV{IFDH_ART_LIB}/libIFDH_service.so")
set(IFBEAM_SERVICE "$ENV{IFDH_ART_LIB}/libIFBeam_service.so")
set(NUCONDB_SERVICE "$ENV{IFDH_ART_LIB}/libnucondb_service.so")
set(IFFILETRANSFER_SERVICE "$ENV{IFDH_ART_LIB}/libIFFileTransfer_service.so")
set(IFCATALOGINTERFACE_SERVICE "$ENV{IFDH_ART_LIB}/libIFCatalogInterface_service.so")
  include_directories ( "$ENV{IFDH_ART_INC}" )

check_required_components(ifdh_art)

